######################################################################
#
#	Makefile for Sendmail Ridge configuration files
#
#	"@(#)Makefile	1.1	4/2/85"
#
######################################################################


RIDGESRCS=	\
	trinity.mc \
	ridgelabs.mc 

GENSRCS= base.m4 \
	ridgehosts.m4 \
	compat.m4 \
	ether.m4 \
	etherm.m4 \
	localm.m4 \
	uucpm.m4 \
	uucpproto.mc \
	version.m4 \
	zerobase.m4

SRCS=	$(GENSRCS) $(RIDGESRCS) 

RIDGENALL=	\
	trinity.cf \
	ridgelabs.cf

RIDGEALL=	$(RIDGENALL)

PROTOS=	uucpproto.cf

ALL=	$(RIDGEALL) $(PROTOS)

#GET=	sccs get

.SUFFIXES: .mc .cf

.mc.cf:
	m4 $*.mc > $*.cf

all: $(ALL)

############################
#   special dependencies   #
############################

# all computer science and math/stat department hosts....
$(RIDGEALL) : ridgebase.m4

# pessimize -- basic dependencies
$(ALL): ether.m4 etherm.m4 base.m4 localm.m4 version.m4 zerobase.m4

# hosts using UUCP
ridgelabs.cf uucpproto.cf: uucpm.m4 compat.m4 

#####################
#   administrivia   #
#####################

sources: $(SRCS)

$(SRCS):
	$(GET) $(REL) SCCS/s.$@

clean:
	rm -f $(ALL) a.out core make.out
	rm -f ,*
